Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 986935 - "Create Launcher..." does nothing
Summary: "Create Launcher..." does nothing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nemo
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-22 13:03 UTC by Jonathan Kamens
Modified: 2013-07-28 01:04 UTC (History)
4 users (show)

Fixed In Version: nemo-1.8.4-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-28 01:04:12 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2013-07-22 13:03:31 UTC
If I right click on my desktop and select "Create Launcher...", nothing happens.

Comment 1 Michael Schwendt 2013-07-22 22:16:40 UTC
Easily reproducible. Ran "yum -y install cinnamon", logged out of GNOME Shell, logged into a Cinnamon session (no software rendering), right-click mouse, choose "Create Launcher..." -> nothing happens.

cinnamon-1.9.1-16.fc19.x86_64                 Tue 23 Jul 2013 00:12:27 CEST
python-lxml-3.2.1-1.fc19.x86_64               Tue 23 Jul 2013 00:12:24 CEST
muffin-1.8.2-2.fc19.x86_64                    Tue 23 Jul 2013 00:12:24 CEST
gnome-screensaver-3.6.1-4.fc19.x86_64         Tue 23 Jul 2013 00:12:23 CEST
nemo-extensions-1.8.4-1.fc19.x86_64           Tue 23 Jul 2013 00:12:22 CEST
nemo-1.8.4-1.fc19.x86_64                      Tue 23 Jul 2013 00:12:21 CEST

Comment 2 Fedora Update System 2013-07-23 00:11:30 UTC
cinnamon-1.9.1-17.fc19, nemo-1.8.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-13184/nemo-1.8.4-2.fc19,cinnamon-1.9.1-17.fc19

Comment 3 leigh scott 2013-07-23 13:57:57 UTC
(In reply to Jonathan Kamens from comment #0)
> If I right click on my desktop and select "Create Launcher...", nothing
> happens.

So you filed a bug against the wrong package, gave no version info and I'm supposed to fix it?.

https://github.com/linuxmint/nemo/pull/357

Please bear in mind that cinnamon isn't compatible with gnome-3.8 and is heavily patched to work with it.

https://github.com/linuxmint/Cinnamon/pull/1888

Comment 4 Jonathan Kamens 2013-07-23 14:41:31 UTC
(In reply to leigh scott from comment #3)
> So you filed a bug against the wrong package, gave no version info and I'm
> supposed to fix it?

I'm a programmer, so often my bug reports include the kinds of details that I am able to ascertain as a developer. Sometimes, if the mix is right of how much I care about a particular bug, how much free time I have, and how complicated it is to research and fix the particular bug, my bug reports even include patches.

Having said that, the primary role I'm playing in filing this bug is _end user_, not _programmer_. Pretty much by definition, as an end user I know less about the package than the person maintaining it. In fact, I may not even realize that I'm filing a bug against the wrong component. That's the funny thing about end users... they're not omniscient.

What you're "supposed to" do if an end user files a bug against an incorrect component is to change the component to the correct one, not close the bug INSUFFICIENT_DATA without comment, or heap abuse on the end user for having the temerity to waste your precious time trying to be helpful by filing a bug report.

As for version info, if that were a requirement for filing bug reports, then Bugzilla would prompt for it. In the vast majority of cases it's sufficient to report the version of Fedora in which the bug is occurring, and Bugzilla _does_ prompt for _that_, and I filled it in properly. What you're "supposed to" do for a bug that's as easy to reproduce as this one is to give it a try yourself, and if you can't reproduce it, then ask the user for additional version information.

What you're "supposed to" do is remember that users who report bugs are, like you, trying to make the software better, and that the vast majority of them are happy to work collaboratively with you to provide any additional information that is needed to locate and fix the bugs they report, if you just ask.

Comment 5 Fedora Update System 2013-07-24 03:39:41 UTC
Package nemo-1.8.4-2.fc19, cinnamon-1.9.1-19.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nemo-1.8.4-2.fc19 cinnamon-1.9.1-19.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13184/nemo-1.8.4-2.fc19,cinnamon-1.9.1-19.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-07-28 01:04:12 UTC
nemo-1.8.4-2.fc19, cinnamon-1.9.1-19.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.